import React from 'react';
import { Card } from 'antd';
import * as echarts from 'echarts/core';
import Chart from '@/components/chart';

export default (props) => {
  const option = {
    title: {
      text: '上报统计'
    },
    tooltip: {
      trigger: 'axis',
      axisPointer: {
        type: 'cross',
        label: {
          backgroundColor: '#0A9071'
        }
      }
    },
    grid: {
      left: '3%',
      bottom: '3%',
      width: '90%',
      containLabel: true
    },
    xAxis: [
      {
        type: 'category',
        boundaryGap: false,
        data: ['12/01', '12/02', '12/03', '12/04', '12/05', '12/06', '12/07']
      }
    ],
    yAxis: [
      {
        type: 'value',
        minInterval: 1
      }
    ],
    series: [
      {
        type: 'line',
        stack: 'Total',
        smooth: true,
        lineStyle: {
          width: 0
        },
        showSymbol: false,
        areaStyle: {
          opacity: 1,
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1.1, [
            {
              offset: 0,
              color: '#0A9071'
            },
            {
              offset: 1,
              color: '#FFF'
            }
          ])
        },
        emphasis: {
          focus: 'series'
        },
        data: [1.8, 3.3, 1.9, 2.9, 2.1, 1.5, 2.3]
      }
    ]
  };

  return (
    <Card title="上报统计">
      <Chart option={option} style={props.style}></Chart>
    </Card>
  )
}