import React from 'react';
import { Card } from 'antd';
import * as echarts from 'echarts/core';
import Chart from '@/components/chart';

export default (props) => {

  const option = {
    title: {
      text: '交办统计'
    },
    tooltip: {
      trigger: 'axis',
      axisPointer: {
        type: 'cross',
        label: {
          backgroundColor: '#F772D1'
        }
      }
    },
    grid: {
      left: '3%',
      bottom: '3%',
      width: '90%',
      containLabel: true
    },
    xAxis: [
      {
        type: 'category',
        boundaryGap: false,
        data: ['已处理', '未处理', '逾期'],
        boundaryGap: true,
        name: '状态',
        axisTick: {
          alignWithLabel: true,
        }
      }
    ],
    yAxis: [
      {
        type: 'value',
        minInterval: 1,
        name: '交办次数'
      }
    ],
    series: [
      {
        type: 'bar',
        barWidth: '15%',
        itemStyle: {
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            { offset: 0, color: '#F772D1' },
            { offset: 0.5, color: '#C872F2' },
            { offset: 1, color: '#E5BEF8' }
          ])
        },
        data: [2, 3, 1]
      }
    ]
  };

  return (
    <Card title="时间维度">
      <Chart option={option} style={props.style}></Chart>
    </Card>
  )
}