import React from 'react'
import { Row, Col } from 'antd';
import Banner from './components/Banner';
import EscalationCharts from './components/EscalationCharts';
import AssignedCharts from './components/AssignedCharts';
import ProblemCharts from './components/ProblemCharts';
import SpotCharts from './components/SpotCharts';
import Page from '@/components/Page';

export default (props) => {

  const chartStyle = {
    height: '215px',
    width: '100%',
  }

  return (
    <Page>
      <Banner />

      <Row gutter={24} style={{ marginTop: '24px' }}>
        <Col span={12}>
          <AssignedCharts style={chartStyle} />
        </Col>
        <Col span={12}>
          <EscalationCharts style={chartStyle} />
        </Col>
      </Row>

      <Row gutter={24} style={{ marginTop: '24px' }}>
        <Col span={12}>
          <ProblemCharts style={chartStyle} />
        </Col>
        <Col span={12}>
          <SpotCharts style={chartStyle} />
        </Col>
      </Row>
    </Page>
  )
}

